Wordcloud
Strategy: bbrsi_v2
Downloaded: 20220702
Stoploss: -0.171
30mSpotv2UnbiasedLink


Not Enough Data to display!

Average Overall
BuysAvgprofTotProfWin%DD%Time
182.75-0.05-2.5953.258.0258.6
SharpeSortinoCalmar
-1.93-1.94-3.95
Prof.FactorExpectancyCagr
0.2700
Trades/DayRejected Signals
6.59928.5
Ninja Score: 50
The BBRSIV2 strategy is a trading strategy that uses a combination of indicators to generate buy and sell signals. Here's a breakdown of what the strategy does: populate_indicators: This function adds several technical analysis (TA) indicators to the given DataFrame. The indicators used in this strategy are the Relative Strength Index (RSI) and Bollinger Bands.

The RSI measures the strength and speed of price movements, while Bollinger Bands consist of three lines that envelope the price and provide insights into volatility and potential price reversals.

populate_buy_trend: Based on the TA indicators, this function populates the buy signal for the DataFrame.

The buy signal is triggered when the closing price is below the lower Bollinger Band, indicating a potential oversold condition. This condition is further validated by ensuring that the volume is not zero. populate_sell_trend: Similarly, based on the TA indicators, this function populates the sell signal for the DataFrame. The sell signal is triggered when the closing price is above the middle Bollinger Band, suggesting a potential overbought condition. Overall, the BBRSIV2 strategy aims to identify buying opportunities when the price is near the lower Bollinger Band and selling opportunities when the price is near the middle Bollinger Band. The strategy utilizes the RSI and Bollinger Bands to gauge market conditions and make informed trading decisions.

Traceback (most recent call last): File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connection.py", line 198, in _new_conn sock = connection.create_connection( ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/util/connection.py", line 60, in create_connection for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM): ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/usr/local/lib/python3.11/socket.py", line 962, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ socket.gaierror: [Errno -2] Name or service not known The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 793, in urlopen response = self._make_request( ^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 491, in _make_request raise new_e File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 467, in _make_request self._validate_conn(conn) File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 1099, in _validate_conn conn.connect() File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connection.py", line 616, in connect self.sock = sock = self._new_conn() ^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connection.py", line 205, in _new_conn raise NameResolutionError(self.host, self, e) from e urllib3.exceptions.NameResolutionError: : Failed to resolve 'api.binance.com' ([Errno -2] Name or service not known) The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/home/ftuser/.local/lib/python3.11/site-packages/requests/adapters.py", line 486, in send resp = conn.urlopen( ^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 847, in urlopen retries = retries.increment( ^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/util/retry.py", line 515, in increment raise MaxRetryError(_pool, url, reason) from reason # type: ignore[arg-type] ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='api.binance.com', port=443): Max retries exceeded with url: /api/v3/exchangeInfo (Caused by NameResolutionError(": Failed to resolve 'api.binance.com' ([Errno -2] Name or service not known)")) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/exchange.py", line 598, in fetch response = self.session.request( ^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/requests/sessions.py", line 589, in request resp = self.send(prep, **send_kwargs) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/requests/sessions.py", line 703, in send r = adapter.send(request, **kwargs) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/requests/adapters.py", line 519, in send raise ConnectionError(e, request=request) requests.exceptions.ConnectionError: HTTPSConnectionPool(host='api.binance.com', port=443): Max retries exceeded with url: /api/v3/exchangeInfo (Caused by NameResolutionError(": Failed to resolve 'api.binance.com' ([Errno -2] Name or service not known)")) The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/freqtrade/freqtrade/exchange/exchange.py", line 486, in _load_markets self._markets = self._api.load_markets(params={}) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/exchange.py", line 1474, in load_markets markets = self.fetch_markets(params) ^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/binance.py", line 2734, in fetch_markets promisesRaw.append(self.publicGetExchangeInfo(params)) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/types.py", line 34, in unbound_method return _self.request(self.path, self.api, self.method, params, config=self.config) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/binance.py", line 10089, in request response = self.fetch2(path, api, method, params, headers, body, config) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/exchange.py", line 3523, in fetch2 return self.fetch(request['url'], request['method'], request['headers'], request['body']) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/exchange.py", line 651, in fetch raise NetworkError(details) from e ccxt.base.errors.NetworkError: binance GET https://api.binance.com/api/v3/exchangeInfo
stoploss: -0.171
timeframe: 30m
hash(sha256): 5533a34953e46121279fbdac412b25edf4c6952a6ea4dfdcabe4aa7feedf2b71
indicators:
upper mid lower bb_middleband rsi
close bb_upperband bb_lowerband

No similar strategies found. (based on used indicators)

last change: 2024-04-17 22:26:08